<?php
/************************************************************************
 * MXChange v0.2.1                                    Start: 02/12/2006 *
 * ================                             Last change: 02/12/2006 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : action-order.php                                 *
 * -------------------------------------------------------------------- *
 * Short description : Different types of mail orders                   *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Verschiedene Typen von Mailbuchungen             *
 * -------------------------------------------------------------------- *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2008 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (ereg(basename(__FILE__), $_SERVER['PHP_SELF']))
{
	$INC = substr(dirname(__FILE__), 0, strpos(dirname(__FILE__), "/inc") + 4) . "/security.php";
	require($INC);
}
 elseif (!IS_LOGGED_IN())
{
	LOAD_URL("modules.php?module=index");
}
 elseif ($BLOCK_MODE)
{
	// Block mode detected
	return;
}

// Add description as navigation point
ADD_DESCR("member", basename(__FILE__));

// Load the include file
$INC_WHAT = sprintf(PATH."inc/modules/member/what-%s.php", $GLOBALS['what']);
if (file_exists($INC_WHAT))
{
	// Ok, we finally load the member action module
	include_once($INC_WHAT);
}
 else
{
	ADD_FATAL(MEMBER_404_ACTION_1.$GLOBALS['what'].MEMBER_404_ACTION_2);
}
//
?>
